---
title: "Update Check Settings"
description: "Configure which aspects of the website should be monitored."
---

`PATCH /api/websites/:websiteId/check-config`

## Request Body

```json
{
  "checkSslEnabled": true,
  "checkHttpsRedirectEnabled": true,
  "checkStatusEnabled": true,
  "checkSizeEnabled": true,
  "checkResponseTimeEnabled": true,
  "checkKeywordEnabled": false,
  "checkDomainExpiryEnabled": true,
  "minPageSize": 1024,
  "maxPageSize": 5242880
}
```

## Example (cURL)

```bash
BASE_URL="https://uptimeify.io"
TOKEN="<your-api-token>"

curl -X PATCH \
  "$BASE_URL/api/websites/101/check-config" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"checkSslEnabled":true,"checkHttpsRedirectEnabled":true,"checkStatusEnabled":true,"checkSizeEnabled":true,"checkResponseTimeEnabled":true,"checkKeywordEnabled":false,"checkDomainExpiryEnabled":true,"minPageSize":1024,"maxPageSize":5242880}'
```

## Example Response

```json
{
  "success": true
}
```

## Common errors

- `400 Invalid website ID` when `:websiteId` is invalid
- `401 Unauthorized` when you are not logged in
- `403 Forbidden` when you do not have write access to the website
- `404 Website not found` when the website does not exist

